Bug 216770 - Fullscreen games crash X
Fullscreen games crash X
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 16:57 EST by Joel Dewey
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-10 12:09:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My Xorg.0.log after launching SuperTux and changing the resolution. (21.32 KB, text/plain)
2006-11-21 16:57 EST, Joel Dewey
no flags Details

  None (edit)
Description Joel Dewey 2006-11-21 16:57:25 EST
Description of problem:
When full screen games (such as SuperTux or Supertuxkart) are launched, X dies
and it goes to a command line. Then it will go back to gdm where logging in will
 work and X will be fine. Sometimes X doesn't load back up and I have to
manually restart my machine. If I open a game in a windowed mode, it works
perfectly. glxgears also works, with FPS in the 12000s. Oddly, Sauerbraten
(http://sauerbraten.sourceforge.net/) works if I launch it (./sauerbraten_unix),
and also works when I use the commands to set height (-h) and width (-w). (The
full launch command would be ./sauerbraten_unix -w1440 -h900 for me)

Version-Release number of selected component (if applicable):
7.1.1 (70101000) (according to my kmod-nvidia driver)

How reproducible:
Happens every time I launch a full screen game.

Steps to Reproduce:
1. Install a game that uses widescreen if one isn't installed (yum install
supertux for example)
2. In the Gnome menu, go to Applications > Games, and choose SuperTux
  
Actual results:
X will crash, then will go to a non-graphical command prompt, and then goes to
the gdm login screen as if nothing happened.

Expected results:
SuperTux opening without crashing anything.

Additional info:
Running widescreen (1440x900) with a nVidia 7800GS using kmod-nvidia.i686
version 1.0.9629-1.2.6.18_1.28 from the Livna repo. I've tried switching to
1024x768, and got the same results (using the same monitor and same video card)
Attached is my /var/log/Xorg.0.log. Desktop effects are not enabled during the
time I launch the games.
Comment 1 Joel Dewey 2006-11-21 16:57:25 EST
Created attachment 141839 [details]
My Xorg.0.log after launching SuperTux and changing the resolution.

Note You need to log in before you can comment on or make changes to this bug.